import type { DurationInputArg2 } from "moment-timezone";
import moment from "moment-timezone";
import type { DatetimeUnit } from "../../metabase-types/api/query";
export declare function isValidTimeInterval(interval: number, unit: DurationInputArg2): boolean;
export declare function formatFrame(frame: "first" | "last" | "mid"): string;
export declare function getDateStyleFromSettings(): string | undefined;
export declare function getRelativeTime(timestamp: string): string;
export declare function getRelativeTimeAbbreviated(timestamp: string): string;
export declare function getTimeStyleFromSettings(): string | undefined;
export declare function has24HourModeSetting(): boolean;
export declare function hoursToSeconds(hours: number): number;
export declare function msToHours(ms: number): number;
export declare function msToMinutes(ms: number): number;
export declare function msToSeconds(ms: number): number;
export declare function parseTime(value: moment.Moment | string): moment.Moment;
/**
 * @deprecated use dayjs version from ./time-dayjs.ts
 */
export declare function parseTimestamp(value: any, unit?: DatetimeUnit | null, isLocal?: boolean): any;
